メインコンテンツへスキップ
DELETE
/
users
/
{user_id}
cURL
curl -i -X DELETE "https://api.box.com/2.0/users/12345" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "type": "error",
  "status": 400,
  "code": "item_name_invalid",
  "message": "Method Not Allowed",
  "context_info": {
    "message": "Something went wrong"
  },
  "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
  "request_id": "abcdef123456"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

user_id
string
必須

ユーザーのID。

クエリパラメータ

notify
boolean

削除に関するメール通知がユーザーに送信されるかどうか。

force
boolean

まだファイルを所有している場合、最近アクティブだった場合、または無料アカウントから最近Enterpriseに参加していた場合でもユーザーを削除するかどうか指定します。

レスポンス

ユーザーを削除して空のレスポンスを返します。